#ifndef LIBRARIES_KONWERSJA_H
#define LIBRARIES_KONWERSJA_H

/*
   **   $FileName: libraries/konwersja.h $
   **   $Release: 2.04 $
   **   $Revision: 1.0 $
   **
   **   konwersja.library definicje
   **
   **   (C) Copyright 1997 Grzegorz Krlik
   **   All Rights Reserved
 */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif

#ifndef EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif

#ifndef LIBRARIES_DOS_H
#include <libraries/dos.h>
#endif

#define KONNAME "konwersja.library"
#define KONVERSION 1L

struct KonBase
  {
    struct Library kon_LibNode;
    BPTR kon_SegList;		/* SegList biblioteki */
    struct ExecBase *kon_SysBase;	/* Kopia ExecBase */
    struct DosLibrary *kon_DOSBase;	/* Kopia DOSBase */
    struct MinList kon_Standardy;	/* Lista ze standardami */
  };

struct Standard
  {
    struct MinNode stan_Node;
    WORD stan_Numer;		/* Numer dla tego standardu */
    UBYTE stan_Flagi;		/* Flagi dla standardu */
    UBYTE stan_Nazwa[9];	/* Nazwa standardu */
    UBYTE stan_Kody[20];	/* Kody kolejnych znakw */
  };

/* Flagi dla standardu */
#define STANB_MAZL 0
#define STANF_MAZL (1<<0)
#define STANB_WBUD 7		/* NIE UYWA!!! */
#define STANF_WBUD (1<<7)

/* Flagi dla funkcji Konwertuj() */
#define KONWB_ZMIENNL	0
#define KONWF_ZMIENNL	(1<<0)
#define KONWB_DODAJEOF	1
#define KONWF_DODAJEOF	(1<<1)

/* Numery bdw */
#define KONBLAD_OK			0L
#define KONBLAD_KONWERSJA_PRZERWANA	-1L
#define KONBLAD_STANDARD_NIE_ISTNIEJE	-2L
#define KONBLAD_BRAK_PAMIECI		-3L

#endif /* LIBRARIES_KONWERSJA_H */
